﻿///////////////////////////////////////////////////////////////////////////////////
///    SDR# R820T Plugin                                                        ///
///    This version has been reconstructed from Youssef TOUIL work              ///
///    Copyright(C) 2016 Lucas Teske                                            ///
///                                                                             ///
///    This program is free software: you can redistribute it and/or modify     ///
///    it under the terms of the GNU General Public License as published by     ///
///    the Free Software Foundation, either version 3 of the License, or        ///
///    any later version.                                                       ///
///                                                                             ///
///    This program is distributed in the hope that it will be useful,          ///
///    but WITHOUT ANY WARRANTY; without even the implied warranty of           ///
///    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the              ///
///    GNU General Public License for more details.                             ///
///                                                                             ///
///    You should have received a copy of the GNU General Public license        ///
///    along with this program.If not, see<http://www.gnu.org/licenses/>.       ///
///////////////////////////////////////////////////////////////////////////////////

namespace SDRSharp.R820T {
  public class DeviceDisplay {
    public static DeviceDisplay[] GetActiveDevices() {
      uint num = NativeMethods.rtlsdr_get_device_count();
      DeviceDisplay[] displayArray = new DeviceDisplay[num];
      for (uint i = 0; i < num; i++) {
        string str = NativeMethods.rtlsdr_get_device_name(i);
        displayArray[i] = new DeviceDisplay {
          Index = i,
          Name = str
        };
      }
      return displayArray;
    }

    public override string ToString() => Name;
    public uint Index { get; private set; }
    public string Name { get; set; }
  }
}

